Subject: Re: [PATCH net-next v2] ethtool: linkstate: add a statistic for PHY down events

From: Jakub Kicinski <[email-masked]>
Date: Thu, 27 Oct 2022 20:08:49 -0700

On Thu, 27 Oct 2022 19:50:35 -0700 Florian Fainelli wrote:
> > @@ -723,6 +724,8 @@ struct phy_device {
> >   
> >   	int pma_extable;
> >   
> > +	unsigned int link_down_events;  
> 
> Should not this be an u64 to match what the extended link state can 
> report? Not that I would hope that anyone had a chance to witness 4 
> billion link down events using PHYLIB.

How about I also make the uAPI side 32 bit? I made it 64b because
that feels like the default these days but as you say, re-training
a link 4 billion times is unlikely to happen in one person's lifetime :S